using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ProductList;

public partial class Array_example : System.Web.UI.Page
{
    protected void btnGetDataFrom1DArray_Click(object sender, EventArgs e)
    {
        // Declare SelectARow as a new instance of the HeadCategories class without parameters in the constructor
        HeadCategories SelectARow = new HeadCategories();

        // Declare a string array, the size of the array are determined when data are supplied to the array in the
        // step below.
        string[] SingleRowArray = null;

        // Add error handling to catch exceptions trown by the method.
        try
        {
            // Call the array function to select one row and supply a parameter representing HeadId, the returned value
            // are stored in the SingleRowArray.
            SingleRowArray = SelectARow.SelectOneRowToArray(Convert.ToInt32(txtInputHeadId.Text));

        }
        catch (Exception ex)
        {
            Response.Write(ex.Message);
        }
        
        // Get HeadId, LinkName and Description from the string array
        txtHeadId.Text = SingleRowArray[0];
        txtLinkName.Text = SingleRowArray[1];
        txtDescription.Text = SingleRowArray[2];
    }

    protected void btnSelectAllFrom2DArray_Click(object sender, EventArgs e)
    {
        // Declare SelectAllFrom2DArray as a new instance of the HeadCategories class
        HeadCategories SelectAllFrom2DArray = new HeadCategories();

        // Call the method SelectAllTo2DArray in the HeadCategories class an copy the returned value to a
        // 2-dimensional StringArray
        string[,] TwoDimensionalArray = SelectAllFrom2DArray.SelectAllTo2DArray();

        // Declare variables for rows and cells that will be used to add rows and cells to the ArrayTable
        TableRow tRow = default(TableRow);
        TableCell tCell = default(TableCell);

        // Create a new TableHeaderRow in the ArrayTable
        TableHeaderRow hRow = new TableHeaderRow();
        ArrayTable.Rows.Add(hRow);

        // Create and add the first cell to the TableHeaderRow
        tCell = new TableCell();
        tCell.Text = "Id";
        hRow.Cells.Add(tCell);

        // Create and add the second cell to the TableHeaderRow
        tCell = new TableCell();
        tCell.Text = "Linkname";
        hRow.Cells.Add(tCell);

        // Create and add the third cell to the TableHeaderRow
        tCell = new TableCell();
        tCell.Text = "Description";
        hRow.Cells.Add(tCell);

        // Get the total number of rows in the 2D array minus 1 (a 0-based index)
        Int32 RowsInArray = TwoDimensionalArray.GetLength(0) - 1;

        // Declare Row as an integer
        Int32 Row = default(Int32);

        // Loop through the rows in the TwoDimensionalArray, add rows to the ArrayTable and add cells in each
        // row.
        for (Row = 0; Row <= RowsInArray; Row++)
        {
            // Create and add a new row
            tRow = new TableRow();
            ArrayTable.Rows.Add(tRow);

            // Create and add a new cell
            tCell = new TableCell();
            tCell.Text = TwoDimensionalArray[Row, 0];
            tRow.Cells.Add(tCell);

            // Create and add a new cell
            tCell = new TableCell();
            tCell.Text = TwoDimensionalArray[Row, 1];
            tRow.Cells.Add(tCell);

            // Create and add a new cell
            tCell = new TableCell();
            tCell.Text = TwoDimensionalArray[Row, 2];
            tRow.Cells.Add(tCell);

        }
    }

    protected void ArrayExample()
    {
        // Create a one-dimensional String array with the size of 10 values (index from 0 to 9)
        string[] Words = new string[10];
        // Set values in the array
        Words[0] = "Tree";
        Words[1] = "Pants";
        Words[2] = "Car";
        Words[3] = "Sun";
        Words[4] = "Moon";
        Words[5] = "Desk";
        Words[6] = "Rest";
        Words[7] = "Market";
        Words[8] = "Fun";
        Words[9] = "Window";

        // Get a value (Moon) from the Words Array
        string OneWord = Words[4];

        // Create a one-dimensional String array with the size of 3 values (index from 0 to 2)
        string[] Names = new string[] {"Fred","Jon","Carl"};

        // Create a one-dimensional Integer array with the size of 3 values (index from 0 to 2)
        Int32[] Numbers = new Int32[3];
        Numbers[0] = 1;
        Numbers[1] = 568;
        Numbers[2] = 879;

        // Create a two-dimensional Integer array with 3 rows and 2 columns
        Int32[,] TwoDimensionalArray = new Int32[3, 2];

        // Set som values in the TwoDimensionalArray
        TwoDimensionalArray[0, 0] = 1;
        TwoDimensionalArray[0, 1] = 5;
        TwoDimensionalArray[1, 0] = 78;
        TwoDimensionalArray[1, 1] = 45;
        TwoDimensionalArray[2, 0] = 899;
        TwoDimensionalArray[2, 1] = 642;

        // Get a value (78) from the TwoDimensionalArray
        string OneNumber = Convert.ToString(TwoDimensionalArray[1, 0]);

    }
}
